slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPConvergedReasonView

Displays the reason a PEP solve converged or diverged.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPConvergedReasonView(PEP pep,PetscViewer viewer)

Collective

### Input Parameters

| pep | - the eigensolver context
| viewer | - the viewer to display the reason

### Options Database Keys

| -pep_converged_reason | - print reason for convergence, and number of iterations

### Note

To change the format of the output call PetscViewerPushFormat(viewer,format) before this call. Use PETSC_VIEWER_DEFAULT for the default, use PETSC_VIEWER_FAILED to only display a reason if it fails. The latter can be set in the command line with -pep_converged_reason ::failed

### See Also

PEPSetConvergenceTest(), PEPSetTolerances(), PEPGetIterationNumber(), PEPConvergedReasonViewFromOptions()

### Level

intermediate

### Location

src/pep/interface/pepview.c

### Examples

src/pep/tutorials/ex16f.F90
src/pep/tutorials/ex17.c
src/pep/tutorials/ex28.c
src/pep/tutorials/ex38.c
src/pep/tutorials/ex40.c
src/pep/tutorials/ex50.c
src/pep/tutorials/nlevp/acoustic_wave_1d.c
src/pep/tutorials/nlevp/acoustic_wave_2d.c
src/pep/tutorials/nlevp/butterfly.c
src/pep/tutorials/nlevp/damped_beam.c
src/pep/tutorials/nlevp/loaded_string.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages